Languages and Scripting
cancel
Showing results for 
Search instead for 
Did you mean: 

HPUX 11iv3 - logrotate ........ dependencies

 
Akif_1
Super Advisor

HPUX 11iv3 - logrotate ........ dependencies

Hi All,

 

Iam unable to download dependencies of "logrotate" utility , Can any one help me to resolved this issue.

 

After installation "logrotate" , I run below conf file and failed:

 

abc@oracle@/usr/local/sbin] $logrotate -v -s /u01/Admin/oralogrotate.conf

/usr/lib/hpux32/dld.so: Unable to find library 'libpopt.so'.

 

 

Link:

 

http://hpux.connect.org.uk/hppd/hpux/Sysadmin/logrotate-3.8.2/

 

Download Failed:

=============

Run-time dependencies:
gettext
libiconv

 

Build-time dependencies:

gettext
libiconv
make
popt

 

Thanks & Regards,

 

 

P.S.This thread has been moved from Servers>General to HP-UX > languages- HP Forums Moderator

T(ogether) E(very one) A(chive) M(ore)
2 REPLIES 2
Dennis Handly
Acclaimed Contributor

Re: HP-UX 11.31 - logrotate dependencies

The URL you provided lists popt as a runtime dependency.

Bill Hassell
Honored Contributor

Re: HPUX 11iv3 - logrotate ........ dependencies

The porting and archive centre has made available the depothelper script which will automate the transfer and installation of Porting Centre depots. Download this file (depothelper) and then run it on the machine where you want logrotate installed. It will everything for you.



Bill Hassell, sysadmin